import { CommandModule } from 'yargs';
import { RunManyOptions } from '../yargs-utils/shared-options';
export interface NxReleaseArgs {
    groups?: string[];
    projects?: string[];
    dryRun?: boolean;
    verbose?: boolean;
}
export type VersionOptions = NxReleaseArgs & {
    specifier?: string;
    preid?: string;
};
export type ChangelogOptions = NxReleaseArgs & {
    version: string;
    to: string;
    from?: string;
    interactive?: boolean;
    gitRemote?: string;
    tagVersionPrefix?: string;
};
export type PublishOptions = NxReleaseArgs & RunManyOptions & {
    registry?: string;
    tag?: string;
};
export declare const yargsReleaseCommand: CommandModule<Record<string, unknown>, NxReleaseArgs>;
