import type { NxJsonConfiguration } from '../../../config/nx-json';
import { type ProjectGraph } from '../../../devkit-exports';
export interface ReleaseGroup {
    name: string;
    projects: string[];
    version: {
        generator: string;
        generatorOptions: Record<string, unknown>;
    };
}
interface CreateReleaseGroupsError {
    code: 'RELEASE_GROUP_MATCHES_NO_PROJECTS' | 'PROJECT_MATCHES_MULTIPLE_GROUPS' | 'PROJECTS_MISSING_TARGET';
    data: Record<string, string | string[]>;
}
export declare const CATCH_ALL_RELEASE_GROUP = "__default__";
/**
 * Create a set of release groups based on the relevant user specified config ready
 * to be consumed by the release commands.
 */
export declare function createReleaseGroups(projectGraph: ProjectGraph, userSpecifiedGroups?: NxJsonConfiguration['release']['groups'], requiredTargetName?: 'nx-release-publish'): Promise<{
    error: null | CreateReleaseGroupsError;
    releaseGroups: ReleaseGroup[];
}>;
export declare function handleCreateReleaseGroupsError(error: CreateReleaseGroupsError): Promise<void>;
export {};
