"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleRequestShutdown = void 0;
const shutdown_utils_1 = require("./shutdown-utils");
async function handleRequestShutdown(server, numberOfConnections) {
    // 1 connection is the client asking to shut down
    if (numberOfConnections > 1) {
        return {
            description: `Unable to shutdown the daemon. ${numberOfConnections} connections are open.`,
            response: '{}',
        };
    }
    else {
        setTimeout(async () => {
            await (0, shutdown_utils_1.handleServerProcessTermination)({
                server,
                reason: 'Request to shutdown',
            });
        }, 0);
        return {
            description: 'Shutdown initiated',
            response: '{}',
        };
    }
}
exports.handleRequestShutdown = handleRequestShutdown;
