"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nx_json_1 = require("../../generators/utils/nx-json");
const format_changed_files_with_prettier_if_available_1 = require("../../generators/internal-utils/format-changed-files-with-prettier-if-available");
async function default_1(tree) {
    // If the workspace doesn't have a nx.json, don't make any changes
    if (!tree.exists('nx.json')) {
        return;
    }
    const nxJson = (0, nx_json_1.readNxJson)(tree);
    delete nxJson.cli?.defaultCollection;
    if (nxJson.cli && Object.keys(nxJson.cli).length === 0) {
        delete nxJson.cli;
    }
    (0, nx_json_1.updateNxJson)(tree, nxJson);
    await (0, format_changed_files_with_prettier_if_available_1.formatChangedFilesWithPrettierIfAvailable)(tree);
}
exports.default = default_1;
