"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const project_configuration_1 = require("../../generators/utils/project-configuration");
const fileutils_1 = require("../../utils/fileutils");
const path_1 = require("../../utils/path");
const format_changed_files_with_prettier_if_available_1 = require("../../generators/internal-utils/format-changed-files-with-prettier-if-available");
async function default_1(tree) {
    for (const [name, value] of (0, project_configuration_1.getProjects)(tree).entries()) {
        if (!value.targets) {
            continue;
        }
        for (const t of Object.values(value.targets)) {
            if (t.outputs) {
                t.outputs = t.outputs.map((o) => (0, fileutils_1.isRelativePath)(o) ? (0, path_1.joinPathFragments)(value.root, o) : o);
            }
        }
        (0, project_configuration_1.updateProjectConfiguration)(tree, name, value);
    }
    await (0, format_changed_files_with_prettier_if_available_1.formatChangedFilesWithPrettierIfAvailable)(tree);
}
exports.default = default_1;
