"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const format_changed_files_with_prettier_if_available_1 = require("../../generators/internal-utils/format-changed-files-with-prettier-if-available");
const nx_json_1 = require("../../generators/utils/nx-json");
async function default_1(tree) {
    // If the workspace doesn't have a nx.json, don't make any changes
    if (!tree.exists('nx.json')) {
        return;
    }
    const nxJson = (0, nx_json_1.readNxJson)(tree);
    if (nxJson.targetDependencies) {
        nxJson.targetDefaults = {};
        for (const targetName of Object.keys(nxJson.targetDependencies)) {
            const dependsOn = [];
            for (const c of nxJson.targetDependencies[targetName]) {
                if (typeof c === 'string') {
                    dependsOn.push(c);
                }
                else if (c.projects === 'self') {
                    dependsOn.push(c.target);
                }
                else {
                    dependsOn.push(`^${c.target}`);
                }
            }
            nxJson.targetDefaults[targetName] = {
                dependsOn,
            };
        }
    }
    delete nxJson.targetDependencies;
    (0, nx_json_1.updateNxJson)(tree, nxJson);
    await (0, format_changed_files_with_prettier_if_available_1.formatChangedFilesWithPrettierIfAvailable)(tree);
}
exports.default = default_1;
